# Generated by Django 4.2.6 on 2023-10-26 14:17

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('planning', '0003_alter_ordrefabrication_fabrication_and_more'),
    ]

    operations = [
        migrations.AddField(
            model_name='fabrication',
            name='machine',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='fabrications', to='planning.machine'),
        ),
        migrations.AlterField(
            model_name='fabrication',
            name='status',
            field=models.SmallIntegerField(choices=[(0, 'Non Demarre'), (1, 'Ec Moins'), (2, 'Ec Plus'), (3, 'Termine')], default=0),
        ),
        migrations.AlterField(
            model_name='ordrefabrication',
            name='fabrication',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='ordre_fabrication', to='planning.fabrication'),
        ),
        migrations.AlterField(
            model_name='ordrefabrication',
            name='machine',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='ordres_fabrications', to='planning.machine'),
        ),
        migrations.AlterField(
            model_name='ordrefabrication',
            name='pesee',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='planning.pesee'),
        ),
        migrations.AlterField(
            model_name='pesee',
            name='status',
            field=models.SmallIntegerField(choices=[(0, 'Non Demarre'), (1, 'Of Lance'), (2, 'Ot Cree'), (3, 'Of Prepare'), (4, 'En Attente'), (5, 'En Cours'), (10, 'Termine')], default=0),
        ),
    ]
